ItemEvents.rightClicked((e) => {
  let messages = [
    Item.of(
      "candlelight:note_paper_written",
      '{author:"James Joyce",text:["Having nine different level 25 Bounty Boards with each of the shop Decrees makes shopping easy!"],title:"Aquamagical Tip #1"}'
    ),
    Item.of(
      "candlelight:note_paper_written",
      '{author:"James Joyce",text:["Having nine different Bounty Boards at reputation level 25 with each of the shop Decrees makes shopping easy!"],title:"Aquamagical Tip #2"}'
    ),
    Item.of(
      "candlelight:note_paper_written",
      '{author:"Joan Didion",text:["Despite what the UI says, Bounty Boards discount caps out at reputation level 30."],title:"Aquamagical Tip #3"}'
    ),
    Item.of(
      "candlelight:note_paper_written",
      '{author:"Anton Chekhov",text:["Sometimes it\'s better to not level a bounty board if you\'re looking for specific Common/Uncommon rewards."],title:"Aquamagical Tip #4"}'
    ),
    Item.of(
      "candlelight:note_paper_written",
      '{author:"Jean-Paul Sartre",text:["Bulk Shipping Decrees are the best way to make Sea Coins. Find out what the Decree is asking for, and automate it!"],title:"Aquamagical Tip #5"}'
    ),
    Item.of(
      "candlelight:note_paper_written",
      '{author:"Mikhail Bulgakov",text:["The Hunter hidden Decree rewards Sea Coins for killing specific mobs."],title:"Aquamagical Tip #6"}'
    ),
    Item.of(
      "candlelight:note_paper_written",
      '{author:"Toni Morrison",text:["The Gatekeeper hidden Decree sells Dimensional Dungeon keys and Key Inscribers."],title:"Aquamagical Tip #7"}'
    ),
  ];
  if (
    e.player.getHeldItem("main_hand") == Item.of("society:message_in_a_bottle")
  ) {
    e.item.count--;
    e.player.give(messages[Math.floor(Math.random() * messages.length)]);
  }
});
